package com.brilliance.isc.common.umdcus.service;

import com.brilliance.isc.common.umdmod.vo.UmdmodVo;
import com.brilliance.isc.common.vo.PtsptaVo;

import java.util.List;

public interface UmdcusService {
    void addCheckCustByRol(String extkey, String argRol, UmdmodVo umdmodVo);
    void addCheckCustByRol(PtsptaVo ptsptaVo, UmdmodVo umdmodVo);
    void addCheckOthParty(UmdmodVo umdmodVo,String argRol,String argPartyName);
    void addCheckOthParty(UmdmodVo umdmodVo,PtsptaVo ptsptaVo,String argPartyName);
    String getPtyExtkeyByRol(String rol, List<PtsptaVo> pts);
    void umdcusAddCheckOth(UmdmodVo umdmodVo,String extkey,String argname,String argtyp,String argcustyp,String nat,String tnat);
    void umdcusAddCheckInc(UmdmodVo umdmodVo, String argname, String argtyp, String argcustyp, String nat, String tnat, String swiftno, String accountno);
    void umdcusAddCheckInc(UmdmodVo umdmodVo, String argname, String argtyp, String argcustyp, String nat, String tnat, String swiftno, String accountno, String celist);
    void umdcusAddCheck(UmdmodVo umdmodVo,String extkey,String argname,String argtyp,String argcustyp);
}
